import { Navigate, RouteObject } from "react-router";
import { Login } from "../modules/Login";
import { PatientList } from "../modules/PatientList";
import { PeripheralViewer } from "../modules/Peripheral";
import { Dashboard } from "@/modules/Dashboard";
import { ReportFullVersion } from "@/modules/Report/Full";
import { Layout } from "@/components/Layout";
import { ExpandRouteProps } from ".";
import { RootViewer } from "@/modules/Root/Viewer";

/**
 * 基础路由
 */
export const baseRoutes: (RouteObject & ExpandRouteProps)[] = [
  {
    path: "/login",
    element: <Login />,
    title: "登录 - CVPILOT Viewer",
  },
  {
    path: "root/report/full",
    element: <ReportFullVersion />,
  },
];

export const commonRoutes: (RouteObject & ExpandRouteProps)[] = [
  {
    path: "/",
    element: <Layout />,
    title: "CVPILOT Viewer",
    children: [
      {
        path: "/",
        element: <Navigate to={"dash"} replace />,
      },
      {
        path: "dash",
        element: <Dashboard />,
      },
      {
        path: "list",
        element: <PatientList />,
      },
      {
        path: "root/viewer",
        element: <RootViewer />,
      },

      {
        path: "peripheral/viewer",
        element: <PeripheralViewer />,
      },
    ],
  },
];
