import {
  LabelCategoryUpdateDTO,
  LabelCreateDTO,
  LabelDeleteDTO,
  LabelUpdateDTO,
} from "@@/infra/api/dto";
import { LabelCategory } from "./entities/labelCategory";
import { LabelRepository } from "./labelRepository";

export class LabelService {
  constructor(private labelRepository: LabelRepository) {}

  async createNewLabelCategory(labelCategory: LabelCategory) {
    const { code } = await this.labelRepository.createNewLabelCategory(
      labelCategory
    );
    return { code };
  }

  async findLabelCategory() {
    return await this.labelRepository.findLabelCategory();
  }

  async createNewLabel(p: LabelCreateDTO) {
    const { code } = await this.labelRepository.createLabel(p);
    return { code };
  }

  async updateLabel(p: LabelUpdateDTO) {
    const { code } = await this.labelRepository.updateLabel(p);
    return { code };
  }

  async deleteLabel(p: LabelDeleteDTO) {
    const { code } = await this.labelRepository.deleteLabel(p);
    return { code };
  }

  async updateCategory(p: LabelCategoryUpdateDTO) {
    const { code } = await this.labelRepository.updateCategory(p);
    return { code };
  }
}
